langcode: en
status: true
dependencies:
  config:
    - field.field.media.image.field_media_image
    - field.field.media.svg_image.field_media_svg_image
    - filter.format.canvas_html_block
    - image.style.canvas_parametrized_width
    - media.type.image
    - media.type.svg_image
  module:
    - file
    - media
    - media_library
    - options
    - text
  theme:
    - pulse_theme
label: 'Space Dark bg Image Card'
id: sdc.pulse_theme.space-dark-bg-imagecard
source: sdc
source_local_id: 'pulse_theme:space-dark-bg-imagecard'
provider: pulse_theme
active_version: eaa725a54e67a5fe
versioned_properties:
  active:
    settings:
      prop_field_definitions:
        title:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Explore Nutrition'
          expression: ℹ︎string␟value
        url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: /event/building-sustainable-workout
          expression: ℹ︎string␟value
        image:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        text:
          required: false
          field_type: text_long
          field_storage_settings: {  }
          field_instance_settings:
            allowed_formats:
              - canvas_html_block
          field_widget: text_textarea
          default_value:
            -
              value: 'Explore the world of balanced eating, mindful choices, and science-backed advice—no fads, just facts.'
              format: canvas_html_block
          expression: ℹ︎text_long␟processed
        alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: vertical
          expression: ℹ︎list_string␟value
        horizontal_column_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left-image
          expression: ℹ︎list_string␟value
        vertical_column_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: top-image
          expression: ℹ︎list_string␟value
        card_layout:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: default
          expression: ℹ︎list_string␟value
        card_size:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: large
          expression: ℹ︎list_string␟value
        full_box_link:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
  d5eb66fe09cb451c:
    settings:
      prop_field_definitions:
        title:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: 'Explore Nutrition'
          expression: ℹ︎string␟value
        url:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value:
            -
              value: /event/building-sustainable-workout
          expression: ℹ︎string␟value
        image:
          required: false
          field_type: entity_reference
          field_storage_settings:
            target_type: media
          field_instance_settings:
            handler: 'default:media'
            handler_settings:
              target_bundles:
                image: image
                svg_image: svg_image
          field_widget: media_library_widget
          default_value: {  }
          expression: 'ℹ︎entity_reference␟entity␜[␜entity:media:image␝field_media_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}][␜entity:media:svg_image␝field_media_svg_image␞␟{src↠src_with_alternate_widths,alt↠alt,width↠width,height↠height}]'
        text:
          required: false
          field_type: text_long
          field_storage_settings: {  }
          field_instance_settings:
            allowed_formats:
              - canvas_html_block
          field_widget: text_textarea
          default_value:
            -
              value: 'Explore the world of balanced eating, mindful choices, and science-backed advice—no fads, just facts.'
              format: canvas_html_block
          expression: ℹ︎text_long␟processed
        alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: vertical
          expression: ℹ︎list_string␟value
        horizontal_column_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: left-image
          expression: ℹ︎list_string␟value
        vertical_column_alignment:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: top-image
          expression: ℹ︎list_string␟value
        card_size:
          required: false
          field_type: list_string
          field_storage_settings:
            allowed_values_function: canvas_load_allowed_values_for_component_prop
          field_instance_settings: {  }
          field_widget: options_select
          default_value:
            -
              value: large
          expression: ℹ︎list_string␟value
        full_box_link:
          required: false
          field_type: boolean
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: boolean_checkbox
          default_value:
            -
              value: false
          expression: ℹ︎boolean␟value
        extra_classes:
          required: false
          field_type: string
          field_storage_settings: {  }
          field_instance_settings: {  }
          field_widget: string_textfield
          default_value: null
          expression: ℹ︎string␟value
    fallback_metadata:
      slot_definitions: {  }
